using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using CARRE_DSS2.Models;

namespace CARRE_DSS2.Controllers
{
    public class RiskEvidencesController : Controller
    {
        private ApplicationDbContext db = new ApplicationDbContext();

        // GET: RiskEvidences
        public ActionResult Index()
        {
            return View(db.RiskEvidences.ToList());
        }

        // GET: RiskEvidences/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            RiskEvidence riskEvidence = db.RiskEvidences.Find(id);
            if (riskEvidence == null)
            {
                return HttpNotFound();
            }
            return View(riskEvidence);
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}